> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources/inmemory-datasources/inmemory-datasource.md).

# In Memory DataSource

## Overview

The In Memory DataSource represents a table, which instead of coming from a database exists just in memory.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                                     | Summary                                                                              |
| ----------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| [Edit table/view](#edit-table-view)                         | Opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md) |
| [Move In Memory Datasource](#move-in-memory-datasource)     | Moves In Memory Datasource to another solution                                       |
| [Delete In Memory Datasource](#delete-in-memory-datasource) | Deletes the In Memory Datasource definition                                          |
| [Rename In Memory Datasource](#rename-in-memory-datasource) | Renames the In Memory Datasource definition                                          |

## Commands Details

The details for each command available on this item via right-click context menu:

### Edit table/view

Opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md) to edit the in memory table and its associated column information (metadata stored by Servoy Developer).

### Move In Memory Datasource

Moves the In Memory Datasource to another solution (module).

### Delete In Memory Datasource

Deletes the In Memory Datasource definition.

### Rename In Memory Datasource

Renames the In Memory Datasource definition.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources/inmemory-datasources/inmemory-datasource.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
